### Method

# ECal ComponentBag get_item

since: 3.58

#### Declaration [src]

    const ECalComponentBagItem*
    e_cal_component_bag_get_item (
      ECalComponentBag* self,
      ECalClient* client,
      const gchar* uid,
      const gchar* rid
    )

#### Description [src]

Looks up for an item identified by the `client`, `uid` and optionally `rid`, and returns it.

This is a not thread safe, it’s valid until the next change of it is received by the `self`. If thread safety is required, use the `e_cal_component_bag_dup_item()` instead.

Available since: 3.58

#### Parameters

`client`

  Type: `ECalClient`

  An `ECalClient`.

  The data is owned by the caller of the method.

`uid`

  Type: `const gchar*`

  A component UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  A component recurrence ID, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentBagItem`

A stored `ECalComponentBagItem`, or `NULL` when not found.

The returned data is owned by the instance.
The return value can be `NULL`.